/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DIALOGCONFIGWIDGETS_H
#define DIALOGCONFIGWIDGETS_H

#include <QDialog>
#include <QAbstractButton>
#include <QSettings>
namespace Ui {
class DialogConfigWidgets;
}

class DialogConfigWidgets : public QDialog
{
        Q_OBJECT
        
public:
        explicit DialogConfigWidgets(QWidget *parent = 0);
        ~DialogConfigWidgets();
     signals:
         void settingChanged();
private:
        Ui::DialogConfigWidgets *ui;
          QStringList m_listWidget;
           QSettings m_setting;
private slots:
  void loadQmlWidgets();
    void loadQmlpath(const QString & path);
  //  QString isAvaliableQml(const QString & fileName);
  //  QHash<QString, QString> getEntry(const QString & fileName);
   void saveSettings();

   void on_buttonBox_clicked(QAbstractButton *button);
   void on_toolButtonProperty_clicked();
};

#endif // DIALOGCONFIGWIDGETS_H
