#-------------------------------------------------
#
# Project created by QtCreator 2013-09-12T10:25:18
#
#-------------------------------------------------
QT       += core gui  declarative xml dbus

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = elokab-desktop
DESTDIR = ../usr/bin
TEMPLATE = app

CONFIG += qt \
          release
OBJECTS_DIR = build
MOC_DIR = build
UI_DIR = build
INCLUDEPATH +=build

INCLUDEPATH +=../common


LIBS += $(SUBLIBS) -L../usr/lib -L$$PWD/../usr/lib  -lelokabmimicon -lelokabx11utills -lelokabsysstat -lelokabbtncolor
LIBS += $(SUBLIBS)  -L/usr/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lX11
QMAKE_INCDIR += $$PWD/../library $$PWD/../library/include

SOURCES +=\
        main.cpp\
        desktopsceen.cpp \
        scene.cpp \
        qmlanimation.cpp \
        iconview/icondesktop.cpp \
        iconview/iconsview.cpp \
        DesktopWidget/widgetdesktop.cpp \
        DesktopWidget/qmlcontainer.cpp \
        DesktopWidget/dialogconfigwidgets.cpp \
        DesktopWidget/dialogqmlproperty.cpp \
        ../common/menuprogrammes.cpp \
        ../common/filesutils/propertiesdlg.cpp \
        ../common/filesutils/openwithdlg.cpp \
        ../common/filesutils/dialogxdesktop.cpp \
        ../common/about/widgetabout.cpp \
        ../common/filesutils/symlinkdlg.cpp


HEADERS  +=\
    desktopsceen.h \
    scene.h \
    iconview/iconsview.h \
    qmlanimation.h \
    iconview/icondesktop.h \
    DesktopWidget/widgetdesktop.h \
    DesktopWidget/classname.h \
    DesktopWidget/qmlcontainer.h \
    DesktopWidget/dialogconfigwidgets.h \
    DesktopWidget/dialogqmlproperty.h \
    ../common/about/widgetabout.h \
    ../common/menuprogrammes.h \
    ../common/filesutils/dialogxdesktop.h \
    ../common/filesutils/propertiesdlg.h \
    ../common/filesutils/openwithdlg.h \
    ../common/filesutils/symlinkdlg.h

FORMS    +=  \
    DesktopWidget/dialogconfigwidgets.ui \
    DesktopWidget/dialogqmlproperty.ui \
    ../common/filesutils/propertiesdlg.ui \
    ../common/filesutils/openwithdlg.ui \
    ../common/filesutils/symlinkdlg.ui \
    ../common/filesutils/dialogxdesktop.ui \
    ../common/about/widgetabout.ui

TRANSLATIONS    =../usr/share/elokab/translations/ar/elokab-desktop.ts\
                 ../usr/share/elokab/translations/fr/elokab-desktop.ts\
                ../usr/share/elokab/translations/en/elokab-desktop.ts
CODECFORTR = UTF-8
RESOURCES += \
    icons.qrc

# install

target.path = /usr/bin

 INSTALLS += target


linux-g++*: {
             # Provide relative path from application to elokab librarys
             # ex:app=usr/bin/elokab-applications  library=usr/lib/libelokabmimicon.so
             QMAKE_LFLAGS += -Wl,--rpath=\\\$\$ORIGIN/../lib
             }


