#ifndef BUTTONLAUNCHER_H
#define BUTTONLAUNCHER_H
#include "animmation.h"
#include <QToolButton>
#include <QTimer>
class ButtonLauncher : public QToolButton
{
    Q_OBJECT
public:
    explicit ButtonLauncher(QWidget *parent = 0);
protected :
          void enterEvent(QEvent *);
          void leaveEvent(QEvent *);
signals:
          void iconChanged();
public slots:
          void setMinMax(int min, int max);

private:
          QTimer *timer;
                    QTimer *timer2;
                    int m_iconSize;
                    int m_min;
                    int m_max;
                    Animmation *anim;
   private slots:
          void buttonZoom( );
          void buttonZoomOut();
};

#endif // BUTTONLAUNCHER_H
