/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DDOCKAPPLICATION_H
#define DDOCKAPPLICATION_H
#include  "dockbarwidget.h"
#include <ElokabApplication>
/**
 * @brief The DdockApplication class تطبيق نافذة الارساء الرئيسي
 */
class DdockApplication : public ElokabApplication
{
          Q_OBJECT

public:
          explicit DdockApplication(int& argc, char** argv);
    /**
           * @brief x11EventFilter اشارات اكس11
           * @param event
           * @return
           */
          virtual bool x11EventFilter(XEvent* event);
    /**
           * @brief setDock نافذة الارساء
           * @param dock
           */
          void setDock(DockBarWidget* dock);
          void loadIconThemes();
         // QString trans(){return ElokabApplication::translationPath();}
protected:

private:
          DockBarWidget* mDock;

};


#endif // DDOCKAPPLICATION_H
