
/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef FORMINFO_H
#define FORMINFO_H

#include <QWidget>

namespace Ui {
class FormInfo;
}

class DockFormInfo : public QWidget
{
        Q_OBJECT
        
public:
        explicit DockFormInfo(QWidget *parent = 0);
        ~DockFormInfo();
      public slots:
     void   setTitle(QString title);
     void   setPixmap(QPixmap pix);
     void   setpreview(QPixmap pix, bool v=false);
     void  loadSettings();
private:
        Ui::FormInfo *ui;

};

#endif // FORMINFO_H
