 QT       += core gui xml

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets
TARGET =elokab-dock
DESTDIR = ../usr/bin
CONFIG += qt \
          release
OBJECTS_DIR = build
MOC_DIR = build
UI_DIR = build
INCLUDEPATH +=build
INCLUDEPATH +=images
INCLUDEPATH +=../common


LIBS += $(SUBLIBS)  -L../usr/lib -L$$PWD/../usr/lib  -lelokabmimicon -lelokabx11utills -lelokabbtncolor
LIBS += $(SUBLIBS)  -L/usr/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread -lX11
QMAKE_INCDIR += $$PWD/../library $$PWD/../library/include

HEADERS += \
    dockbarwidget.h \
    ddockapplication.h \
    docklayout.h \
    dockanimmation.h \
    dockbutton.h \
    dockactiontask.h \
    commonedge.h \
    ../common/addactions/dialogaddaction.h


SOURCES += \
    dockbarwidget.cpp \
    main.cpp \
    ddockapplication.cpp \
    docklayout.cpp \
    dockanimmation.cpp \
    dockbutton.cpp \
    dockactiontask.cpp \
    ../common/addactions/dialogaddaction.cpp

FORMS += \
    dockbarwidget.ui \
    ../common/addactions/dialogaddaction.ui

RESOURCES += \
    images.qrc



TRANSLATIONS    =../usr/share/elokab/translations/ar/elokab-dock.ts\
                 ../usr/share/elokab/translations/fr/elokab-dock.ts\
                 ../usr/share/elokab/translations/en/elokab-dock.ts\

CODECFORTR = UTF-8

# INSTALL-----------------------------------------------------------

 target.path = /usr/bin

 INSTALLS += target


linux-g++*: {
             # Provide relative path from application to elokab librarys
             # ex:app=usr/bin/elokab-applications  library=usr/lib/libelokabmimicon.so
             QMAKE_LFLAGS += -Wl,--rpath=\\\$\$ORIGIN/../lib
             }

OTHER_FILES += \
    ../usr/share/icons/Elokab/mimetypes/scalable/unknown.svg




































