﻿#include "batterydlg.h"
#include "ui_batterydlg.h"
#include <EIcon>
#include <QGraphicsDropShadowEffect>
#include <QX11Info>
#include <QDebug>
BatteryDlg::BatteryDlg(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BatteryDlg)
{
    ui->setupUi(this);
Mparent=parent;
    timerHide=new QTimer;
    connect(timerHide,SIGNAL(timeout()),this,SLOT(hideMe()));


    ui->labelBrightnessIcon->setPixmap(EIcon::fromTheme("video-display").pixmap(32));



}

BatteryDlg::~BatteryDlg()
{
    delete ui;
}


void BatteryDlg::hideMe()
{
    timerHide->stop();
   Mparent-> close();
}

void BatteryDlg::startTimeHide()
{
    timerHide->stop();
    timerHide->start(2000);
  //  resize(300,85);
}
//
void BatteryDlg::stopTimeHide()
{
    timerHide->stop();

}

//
void BatteryDlg::setValue(int value)
{
    ui->progressBarBattery->setValue(value);
}
//
void BatteryDlg::setIcon(QPixmap icon)
{
    ui->labelBatteryIcon->setPixmap(icon);
}
//
void BatteryDlg::setText(const QString &text)
{
    ui->labelBattery->setText(tr("Battery : ")+text);
}
//
void BatteryDlg::setBrightness(int value)
{
    qDebug()<<value;
    ui->progressBarBrightness->setValue(value);
}

void BatteryDlg::setBrightnessMax(int value)
{
    ui->progressBarBrightness->setMaximum(100);
}



void BatteryDlg::setBatteryVisible(bool visible)
{
  //  ui->verticalLayoutCal->addWidget(ui->widgetBattery);
    ui->widgetBattery->setVisible(visible);

}
void BatteryDlg::resizeMe()
{
   // resize(300,85);
}
