#ifndef BATTERYDLG_H
#define BATTERYDLG_H

#include <QWidget>
#include <QTimer>
namespace Ui {
class BatteryDlg;
}

class BatteryDlg : public QWidget
{
    Q_OBJECT
    
public:
    explicit BatteryDlg(QWidget *parent = 0);
    ~BatteryDlg();
//    void setScreenBotum(bool b,int p);
//    void show();

private:
    Ui::BatteryDlg *ui;
    QTimer *timerHide;
    QWidget *Mparent;
public slots:

    void setValue(int value );

    void setIcon(QPixmap icon );

    void setText(const QString &text );

    void setBrightness(int value);
    void setBrightnessMax(int value);

void setBatteryVisible(bool visible);
void startTimeHide();
void stopTimeHide();
void hideMe();
void resizeMe();

};

#endif // BATTERYDLG_H
