#include "brightnessdlg.h"
#include "ui_brightnessdlg.h"
#include <QGraphicsDropShadowEffect>
#include <QX11Info>
BrightnessDlg::BrightnessDlg(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BrightnessDlg)
{
    ui->setupUi(this);
    setWindowFlags(   Qt::Popup  | Qt::WindowStaysOnTopHint | Qt::CustomizeWindowHint );




      ui->verticalLayoutPop->setAlignment(ui->widgetTop,Qt::AlignCenter);
      ui->verticalLayoutPop->setAlignment(ui->widgetBot,Qt::AlignCenter);





      QGraphicsDropShadowEffect *fx = new QGraphicsDropShadowEffect();
      if(this->isRightToLeft())
              fx->setOffset(-3,3);
      else
              fx->setOffset(3,3);
      fx->setBlurRadius(10);
      fx->setColor(QColor(63, 63, 63, 200));


      this->setAttribute(Qt::WA_TranslucentBackground,true);
       setGraphicsEffect(fx);

}

BrightnessDlg::~BrightnessDlg()
{
    delete ui;
}

void BrightnessDlg::setScreenBotum(bool b,int p)
{
        if(b==true){
            ui->widgetBotContenair->setVisible(true);
            ui->widgetTopContenair->setVisible(false);
        }else{
            ui->widgetBotContenair->setVisible(false);
            ui->widgetTopContenair->setVisible(true);
        }
//qDebug()<<this->geometry().width();
//        if(this->geometry().width()-46)
//            p=this->geometry().width()-46;
        if(p<1)
            p=1;

         ui->widgetTop->move(p,0);
         ui->widgetBot->move(p,0);
}
void BrightnessDlg::show()
{
    QWidget::show();
    if(QX11Info::isCompositingManagerRunning()){
          ui->verticalLayoutPop->setMargin(4);
    }else{
      ui->verticalLayoutPop->setMargin(1);
      ui->widgetBotContenair->setVisible(false);
      ui->widgetTopContenair->setVisible(false);
    }
}
