#ifndef MENUCONFIGDIALOG_H
#define MENUCONFIGDIALOG_H

#include <QDialog>

namespace Ui {
class MenuConfigDialog;
}

class MenuConfigDialog : public QDialog
{
          Q_OBJECT

public:
          explicit MenuConfigDialog(QWidget *parent = 0);
          ~MenuConfigDialog();
signals:
          void settingChanged();
private slots:
          void on_buttonBox_accepted();

          void on_toolButtonDefault_clicked();
          void loadSetting();
          void saveSetting();
          void on_toolButtonIcon_clicked();

private:
          Ui::MenuConfigDialog *ui;
          QString m_iconName;

};

#endif // MENUCONFIGDIALOG_H
