
#ifndef QUICKLAUNCHLAYOUT_H
#define QUICKLAUNCHLAYOUT_H
#include <QHBoxLayout>
#include <QGridLayout>


class QuickButton;

class QuickLaunchLayout : public QHBoxLayout
{
          Q_OBJECT
public:
          explicit  QuickLaunchLayout(QWidget *parent = 0);

          void addWidget(QuickButton *b);
          void removeWidget(QuickButton *b);
          void swapButtons(QuickButton * b1, QuickButton *b2);
          QuickButton* buttonAt(int index);

          QList<QuickButton*> buttons() { return m_buttons; }



private:
          //RazorPanel *m_panel;
          QList<QuickButton*> m_buttons;

private slots:
          void relayout();
public slots:

};

#endif // QUICKLAUNCHLAYOUT_H
