#include "widgetsensorconf.h"
#include "ui_widgetsensorconf.h"
#include <QSettings>
WidgetSensorConf::WidgetSensorConf(const QStringList &list,QWidget *parent) :
    QWidget(parent),
    ui(new Ui::WidgetSensorConf)
{
    ui->setupUi(this);
      this->setAttribute(Qt::WA_DeleteOnClose,true);

    ui->comboBox->addItems(list);

    QSettings setting;
    setting.sync();
    setting.beginGroup("sonsors");
    ui->spinBox->setValue(setting.value("TimeUpdat",3).toInt());
    ui->radioButtonFahrenheit->setChecked(setting.value("Fahrenheit",false).toBool());
    ui->comboBox->setCurrentIndex(setting.value("ChipIndex",0).toInt());

    setting.endGroup();
}

WidgetSensorConf::~WidgetSensorConf()
{
    delete ui;
}





void WidgetSensorConf::on_buttonBox_accepted()
{
    QSettings setting;
    setting.beginGroup("sonsors");
    setting.setValue("TimeUpdat",ui->spinBox->value());
   setting.setValue("Fahrenheit",ui->radioButtonFahrenheit->isChecked());
  setting.setValue("ChipIndex",ui->comboBox->currentIndex());

    setting.endGroup();
    emit settingSaved();
}
