#ifndef DIALOGCONFIGSTAT_H
#define DIALOGCONFIGSTAT_H
#include <ButtonColor>
#include <QDialog>

namespace Ui {
class DialogConfigStat;
}

class DialogConfigStat : public QDialog
{
        Q_OBJECT
        
public:
        explicit DialogConfigStat(QWidget *parent = 0);
        ~DialogConfigStat();
signals:
          void accepteChange();
private:
        Ui::DialogConfigStat *ui;
         ButtonColor *btnCpuNice,*btnCpuUser,*btnCpuIOwait,*btnCpuSystem;
         ButtonColor *btnMemBuffers,*btnMemCached,*btnMemUsed;
         ButtonColor *btnSwap;

private slots:
         void loadSettings();
         void saveSetting();
         void on_buttonBox_clicked(QAbstractButton *button);
};

#endif // DIALOGCONFIGSTAT_H
