#include "passworddlg.h"
#include "ui_passworddlg.h"
#include <QTimer>
#include"../common/user/user.h"

//__________________________________________________________________
PasswordDlg::PasswordDlg(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::PasswordDlg)
{
    setWindowFlags(Qt::X11BypassWindowManagerHint| Qt::CustomizeWindowHint);
    setObjectName("WPassword");
    ui->setupUi(this);
    QObject::connect(ui->buttonBox, SIGNAL(clicked(QAbstractButton*)), this, SLOT(getPassword(QAbstractButton*)));
    QObject::connect(ui->lineEdit, SIGNAL(returnPressed()), this, SLOT(setPassword()));

    setModal(true);


}

//__________________________________________________________________
PasswordDlg::~PasswordDlg()
{
    delete ui;
}

//__________________________________________________________________
void PasswordDlg::setGrab()
{
      QApplication::restoreOverrideCursor();
    ui->lineEdit->clear();

    ui->lineEdit->grabKeyboard();
    ui->lineEdit->setFocus();
}

//__________________________________________________________________
void PasswordDlg::setPassword()
{

    QString arg=ui->lineEdit->text();

//    if (arg.isEmpty()){
//        ui->lineEdit->setFocus();
//        return;arg
//    }

    QString  i="USER";
    QString mUser=(qgetenv(i.toUtf8().constData()));
    AmeUserProcess *p = new AmeUserProcess();
    p->setUser(ui->comboBox->currentText(),arg);

    if (p->exec("sudo", AmeUserProcess::WaitForExit)){

        if(p->status()==5){

            releaseKeyboard();
            accept();

        }


    }


    ui->lineEdit->clear();
    ui->lineEdit->setFocus();

}

//__________________________________________________________________
void PasswordDlg::getPassword(QAbstractButton* button)
{
    if(ui->buttonBox->standardButton(button)==QDialogButtonBox::Ok)
    {
        setPassword();
    }
}


void PasswordDlg::on_pushButton_clicked()
{
    releaseKeyboard();
    accept();
}
