#ifndef SAVER_ADAPTOR_H
#define SAVER_ADAPTOR_H

#include <QtCore/QObject>
#include <QtDBus/QtDBus>

class QString;

QT_END_NAMESPACE

/*
 * Adaptor class for interface org.tawhid.session.org
 */

class Saver_Adaptor: public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.elokab.ScreenSaver")
    Q_CLASSINFO("D-Bus Introspection", ""
                "  <interface name=\"org.elokab.ScreenSaver\">\n"
                "  <method name=\"lock\"/>\n"
                "  </interface>\n"
                "")

    //activate | lock | reset | status
public:
    Saver_Adaptor(QObject *parent);
    virtual ~Saver_Adaptor();


public Q_SLOTS: // METHODS
    void lock();
    void activate();
};
#endif // SAVER_ADAPTOR_H
