﻿#ifndef WIDGETSSAVER_H
#define WIDGETSSAVER_H
#include "passworddlg.h"
#include <QWidget>
#include <QGridLayout>
#include <QLineEdit>
#include <QDialogButtonBox>
#include <QLabel>
#include <QTimer>
class WidgetSsaver : public QWidget
{
    Q_OBJECT
    
public:
    //!
    WidgetSsaver(bool lock, QWidget *parent = 0);
    //!
    ~WidgetSsaver();
    //!
    void show();

signals:

    //!
    void finiched();

protected:

    //!
    void mousePressEvent(QMouseEvent *);
    //!
    void keyPressEvent(QKeyEvent *);

private:
    //!
    bool mLock;
    //!
    PasswordDlg *passwordDlg;
    //!
    QGridLayout *gridLayout;
    //!
    QWidget *widgetContent;
    //!
    QVBoxLayout *verticalLayout;
    //!
    QTimer *timer;
    //!
    QLabel *labelTimer ;



private slots:

    //!
    void activated();
    //!
    void updatTime();
    //!
    void setGrab();
    //!
    void acceptedPassword();
    //!
    void loadSettings();

};

#endif // WIDGETSSAVER_H
