#include "widgetdatetime.h"
#include "ui_widgetdatetime.h"
#include <QProcess>
#include <QTimer>
#include <QDate>
#include <QDebug>
WidgetDateTime::WidgetDateTime(QWidget *parent) :
        QWidget(parent),
        ui(new Ui::WidgetDateTime)
{
        ui->setupUi(this);
//        buttonApply=new QPushButton;
//        ui->buttonBox->addButton(buttonApply,QDialogButtonBox::ApplyRole);
m_dateTimeChanged=false;
        ui->timeEdit->setTime(QTime::currentTime());
ui->dateEdit->setDate(QDate::currentDate());
        wClock=new WorldTimeClock;
        ui->verticalLayoutClock->addWidget(wClock);
 connect(ui->timeEdit, SIGNAL(timeChanged(QTime)), wClock, SLOT(setTime(QTime)));
 connect(ui->timeEdit, SIGNAL(timeChanged(QTime)), this, SLOT(setchanged()));
 connect(ui->dateEdit, SIGNAL(dateChanged(QDate)), this, SLOT(setchanged()));
  // connect(wClock, SIGNAL(timeChanged(QTime)), ui->timeEdit, SLOT(setTime(QTime)));

 QAbstractButton *button=ui->buttonBox->button(QDialogButtonBox::Apply);
 button->setEnabled(false);

}
void WidgetDateTime::setchanged()
{
        qDebug() << "DATE TIME setchanged" ;
        emit dateTimeChanged(true);
        m_dateTimeChanged=true;

QAbstractButton *button=ui->buttonBox->button(QDialogButtonBox::Apply);
button->setEnabled(true);
}

WidgetDateTime::~WidgetDateTime()
{
        delete ui;
}
void WidgetDateTime::resetDateTame()
{
        ui->dateEdit->setDate(QDate::currentDate());
        ui->timeEdit->setTime(QTime::currentTime());
        wClock->revert();
        m_dateTimeChanged=false;
        QAbstractButton *button=ui->buttonBox->button(QDialogButtonBox::Apply);
        button->setEnabled(false);
}

void WidgetDateTime::on_buttonBox_clicked(QAbstractButton *button)
{
        if(ui->buttonBox->standardButton(button)==QDialogButtonBox::Reset){
               resetDateTame();
        }else if(ui->buttonBox->standardButton(button)==QDialogButtonBox::Apply){
               saveSettings();
               resetDateTame();
        }
}

  void WidgetDateTime::saveSettings()
  {
      if(m_dateTimeChanged){
      QProcess process;
      QString datestring = ui->dateEdit->date().toString("MMdd") +
                      ui->timeEdit->time().toString("HHmm") + ui->dateEdit->date().toString("yyyy");
      qDebug() << "DATE TIME ekbsudo date" << datestring;
      process.start("ekbsudo date "+datestring);
      process.waitForFinished();
        resetDateTame();
      }
  }
Q_EXPORT_PLUGIN2(setting_DateTime, WidgetDateTime)
