/* BEGIN_COMMON_COPYRIGHT_HEADER
 * (c)GPL3+
 *
 * elokab - a lightweight, Qt based, desktop toolset
 * https://sourceforge.net/project/elokab/
 *
 * Copyright: 2013-2014 elokab team
 * Authors:
 *   Abou Zakaria <yahiaui@gmail.com>
 *
 * This program or library is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * END_COMMON_COPYRIGHT_HEADER */

#ifndef WIDGEFONTS_H
#define WIDGEFONTS_H
#include "../spluginsinterface.h"
//#include "widgetcolors.h"
#include <QWidget>

namespace Ui {
class widgetfonts;
}

class widgetfonts : public QWidget,PluginsInterface
{
          Q_OBJECT
          Q_INTERFACES(PluginsInterface)
    
public:
    explicit widgetfonts(QWidget *parent = 0);
    ~widgetfonts();
public slots:

  void saveSettings();

  QWidget *widget(){return this;}

private slots:

    void on_comboBoxFontStyle_activated(const QString &);

    void on_comboBoxFontSize_activated(int);

    void on_fontComboBox_activated(const QString &arg1);

     void updatPreview();

     void applyChanges();



private:
    Ui::widgetfonts *ui;
   bool oldStyleChanged;
  // WidgetColors *widColors;
   QStringList listComment;
};

#endif // WIDGEFONTS_H
