/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef WIDGETICONSTHEMES_H
#define WIDGETICONSTHEMES_H
#include "../spluginsinterface.h"
#include <QWidget>

namespace Ui {
class widgetIconsThemes;
}

class widgetIconsThemes : public QWidget,PluginsInterface
{
          Q_OBJECT
          Q_INTERFACES(PluginsInterface)

    
public:
    explicit widgetIconsThemes(QWidget *parent = 0);
    ~widgetIconsThemes();

void createHicolor();

void removeUnicodeSpace(const QString &fileName);
void createIconThemeLink();

signals:
   void themeChanged();
private:
    Ui::widgetIconsThemes *ui;
    QString m_iconThemes;
private slots:
    QString getDirIconTeme(QString dir);
    void on_comboBoxIcons_activated(int);
public slots:
     void saveSettings();
     QWidget *widget(){return this;}
//    virtual  void saveSettings()= 0;
//     virtual QWidget *widget()=0;

};

#endif // WIDGETICONSTHEMES_H
