#include <QApplication>

#include "globalshortcuts.h"
#include <QDBusConnection>
int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
 //   QDBusConnection connection = QDBusConnection::sessionBus();
    if (! QDBusConnection::sessionBus().registerService("org.elokab.shortcuts"))
    {
        qWarning() << "Unable to register 'org.elokab.shortcuts' service - is another instance of elokab-shortcuts running?";
        return 1;
    }
    a.setApplicationName("elokab-shortcuts");
    a.setApplicationVersion("0.1");
    a.setOrganizationName("elokab");
    GlobalShortcuts w;

    return a.exec();
}
