#include <QApplication>
#include<QtGui>
#include <ElokabApplication>
#include "passworddlg.h"
int main(int argc, char *argv[])
{
     ElokabApplication a(argc, argv);
     a.setApplicationName("ekbsudo");

 a.setWindowIcon(QIcon::fromTheme("folder"));
     QString txt=QString(QObject::trUtf8(
                              "ekbsudo Sudo frontend for elokab Version : %1 \n"

                              "Usage: ekbsudo [options] command\n"
                              "command                    The command to execute .\n"
                              "Options:\n"
                              "-h,--help                  Show help about options .\n"
                              "-i,--icon  <string>        Specify icon to use in the password dialog .\n"
                              "Exampl:\n"
                              "ekbsudo  synaptic.\n"
                              )).arg(a.applicationVersion());


     //---cmd------
     const QStringList args = QCoreApplication::arguments();

     if (args.count() >1) {
          QString command;
          QString icon;
          QString goPos1 = args.at(1);
          if(goPos1.startsWith("-")){
               if (goPos1.toLower()==("-h")||goPos1.toLower()==("--help")){
                    qDebug()<<txt;
                    return 0;
               }else if (goPos1.toLower()==("-i")||goPos1.toLower()==("--icon")){
                    if (args.count() >3){
                         icon=args.at(2);
                         for(int i=3;i<args.count();i++){
                              command+=    args.at(i)+" "  ;
                         }

                    }else{
                         qDebug()<<txt;
                         return 0;
                    }
               }else{
                    qDebug()<<txt;
                    return 0;
               }


          }else{

               command =   args.join(" ");
               command=command.remove(args.at(0)).trimmed();
               icon=args.at(1);

          }
          /*
                if (args.count() ==2){

                        if (goPos1.toLower()==("-h")||goPos1.toLower()==("--help")){
                                qDebug()<<txt;
                                return 0;
                        }else if (goPos1.startsWith("-")){
                                qDebug()<<txt;
                                return 0;
                        }else{
                                command=goPos1;
                        }

                }

                ///------------------------ekbsudo syn -i icon-------------------
                if (args.count() >=3){

                        if (goPos1.toLower()==("-i")||goPos1.toLower()==("--icon")){

                                icon=args.at(2);
                                for(int i=3;i<args.count();i++){
                                        command+=    args.at(i)+" "  ;
                                }
                        }else{
                                command =   args.join(" ");
                                command=command.remove(args.at(0)).trimmed();
                                icon=args.at(1);


                        }


                }
*/
          qDebug()<<icon<<command;
          if(command.isEmpty()){
               qDebug()<<txt;
               return 0;
          }
          AmeUserProcess *p = new AmeUserProcess;
          p->exec("");
          QString name=command;
          name=name.section(" ",0,0);
          AmeSudoDlg *dlg = new AmeSudoDlg(name,icon,"true");
          /*
          //                if(dlg->findProgram(command)==false){
          //                        QString path = qgetenv("PATH");
          //                        QMessageBox::information(0,"Information",
          //                                                 "No such file or directory : " +command
          //                                                 +"\n in this paths "
          //                                                 +path);

          //                        return 0;
          //                }
          */
          if (dlg->exec() == QDialog::Accepted) {

               AmeUserProcess *p = new AmeUserProcess();
               p->setUser(dlg->username(), dlg->password());
               p->exec(command, AmeUserProcess::WaitForExit);
               qDebug() << "process status = " << p->status();

          }
          return 0;
     }

     QMessageBox::information(0,"Information",
                              "No command arguments supplied!\n"
                              "Usage: ekbsudo  <command>\n"
                              "ekbsudo will now exit...\n");


     return 0;
}
