//////////////////////////////////////////
//  File      : passworddlg.h			//
//  Written by: ludmiloff@gmail.com		//
//  Copyright : GPL2					//
//////////////////////////////////////////

#ifndef __PASSWORDDLG_H
#define __PASSWORDDLG_H


#include <QtGui>
#include "user.h"

class AME_EXPORT AmePasswordDlg : public QDialog
{
	Q_OBJECT
public:
    AmePasswordDlg(const QString &name, const QString &icon, QWidget *parent = 0);
	~AmePasswordDlg();

	QString username() const;
	QString password() const;
	virtual bool userHook();

public slots:
	void accept();


signals:
	void helpRequest();


protected:
	virtual bool check();
	bool selectFirstEmptyField();
	//void playSoundWarning();

	class PasswordDlgPrivate;
	PasswordDlgPrivate *d;
};


class AmeSudoDlg : public AmePasswordDlg
{
	Q_OBJECT
public:
    AmeSudoDlg(const QString &name, const QString &icon, const QString &cmd, QWidget *parent = 0);

	~AmeSudoDlg();
QString command;
	//virtual bool userHook();

public slots:
	void accept();
     bool findProgram(const QString &program);
private slots:

protected:

	AmeUserProcess *proc;
};

#endif

