#include <ElokabApplication>
#include "dialogpower.h"
#include <QDir>
#include <QSettings>
#include <QTranslator>
#include <QLibraryInfo>
#include <QDebug>
#include <PowerMain>

int main(int argc, char *argv[])
{

    ElokabApplication a(argc, argv);
     a.setApplicationName("elokab-syspower");
           /// جلب ترجمة البرنامج من مجلد البرنامج
     //---------------------------------------translation---------------------------------------

    QTranslator translator;
           translator.load(a.translationPath());
           a.installTranslator(&translator);
     //------------------------------------argument-------------------------------------------------

     QStringList args = a.arguments();
    if(args.count()>1)
    {
        PowerMain power;
        PowerMain::Action act;
        QString help=QObject::tr
                ("Usage: elokab-syspower [OPTION]\n"
                 " \n"
                 "OPTION:\n"
                 " -l  logout            Close the current user session.\n"
                 " -b  hibernate         Hibernate the computer\n"
                 " -r  reboot            Reboot the computer\n"
                 " -s  shutdown          Shutdown the computer\n"
                 " -p  suspend           Suspend the computer\n" );

        QString arg = args.at(1);
        if (arg == "-h" || arg == "--help" ) { qDebug()<<help;return 0; }
        else if (arg == "-l"|| arg == "logout" )    {act=PowerMain::Logout;}
        else if (arg == "-b" ||arg == "hibernate" ) {act=PowerMain::Hibernate;}
        else if (arg == "-r" ||arg == "reboot" )    {act=PowerMain::Reboot;}
        else if (arg == "-s" ||arg == "shutdown" )  {act=PowerMain::Shutdown;}
        else if (arg == "-p" ||arg == "suspend" )   {act=PowerMain::Suspend;}
        else { qWarning() << "Unknown option: " << args;  qDebug()<<help; return 0;}

        if(power.canAction(act)){
            power.doAction(act);
            return 1;
        } else{
            qWarning()<<QObject::tr("this acton is invalid for this session.");
        }


        return 0;
    }

//------------------------------GUi-------------------------------------------------------------------------

 DialogPower w;
a.setWindowIcon(PowerMain:: ICON(PowerMain::Shutdown));
    w.show();
    
    return a.exec();
}
