#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "../pluginsinterface.h"
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
    bool loadPlugin(const QString &pfile);
private:
    Ui::MainWindow *ui;

    PluginsInterface *pluginsInterface;


    QString moduleFromMimeType(const QString &mimeType);
};

#endif // MAINWINDOW_H
