/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "desktopsceen.h"
#include <ElokabApplication>
#include <QLocale>
#include <QTranslator>
#include <QLibraryInfo>
#include <QSettings>


int main(int argc, char *argv[])
{
    /*
    QApplication a(argc, argv);
    a.setApplicationName("elokab-desktop");
    a.setApplicationVersion("0.1");
    a.setOrganizationName("elokab");
//QTextCodec::setCodecForCStrings( QApplication::UnicodeUTF8);
    /// مسار مجلد البرنامج
    QString translatPath= Edir::dataDir()+"/translations";
    /// جلب اعدادات اللغة
    QSettings globalSetting("elokab","elokabsettings");
    globalSetting.beginGroup("Language");
    QString locale=globalSetting.value("Name","Default").toString();
    globalSetting.endGroup();


    /// اذاكانت اللغة الافتراضية
    if(locale=="Default")
            locale = QLocale::system().name().section("_",0,0);
    /// اللغة الحالية لجميع البرنامج
    QLocale::setDefault(QLocale(locale));
    /// جلب ترجمات كيوتي
    QString translatorFileName = QLatin1String("qt_");
    translatorFileName += locale;
    QTranslator *translatorsys = new QTranslator;
    if (translatorsys->load(translatorFileName, QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
            QApplication::installTranslator(translatorsys);
    /// جلب ترجمة البرنامج من مجلد البرنامج
    QTranslator translator;
    translator.load(QString(translatPath+"/"+locale+"/"+a.applicationName()));

    a.installTranslator(&translator);
    */
    ElokabApplication a(argc, argv);
    a.setApplicationName("elokab-desktop");
           /// جلب ترجمة البرنامج من مجلد البرنامج
           QTranslator translator;
           translator.load(a.translationPath());
           a.installTranslator(&translator);

    DesktopSceen w;
    w.show();
    return a.exec();
}
