#ifndef QMLANIMATION_H
#define QMLANIMATION_H

#include <QGraphicsProxyWidget>
#include <QDeclarativeView>

class QmlAnimation : public QGraphicsProxyWidget
{
 Q_OBJECT

public:

    explicit QmlAnimation(const QRect &rect, QGraphicsItem *parent = 0);
    virtual ~QmlAnimation();
          void setRect(QRect rect);
          bool setQmlFile(const QString &fileName);

signals:
          void hasError();
private slots:
          void aimationStatusChanged(QDeclarativeView::Status status);

private:
          QDeclarativeView *mDeclarativeView;
          QWidget *mWidget;
          QRect mRect;
    //  class QmlApplicationViewerPrivate *d;

};

#endif // QMLANIMATION_H
