/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "ddockapplication.h"
#include<QtGui>

#include <X11/Xlib.h>
#include <QDebug>
#include <QEvent>
/************************************************

 ************************************************/
DdockApplication::DdockApplication(int& argc, char** argv)
          : ElokabApplication(argc, argv),
            mDock(0)
{
    //   listThemePath.append(QDir::homePath()+"/.kde/share/icons");
    //  listThemePath.append(QDir::homePath(),+"/.kde4/share/icons");
    QApplication::setAttribute(Qt::AA_DontShowIconsInMenus ,false);
    QStringList listThemePath=QIcon::themeSearchPaths();
    listThemePath.append(QDir::homePath()+"/.icons");
    listThemePath.append(QDir::homePath()+"/.local/share/icons");
    listThemePath.append("/usr/share/icons");
    listThemePath.removeDuplicates();

    QIcon::setThemeSearchPaths(listThemePath);


}

void DdockApplication::loadIconThemes()
{

}

/************************************************

 ************************************************/
void DdockApplication::setDock(DockBarWidget* dock)
{

          mDock = dock;


}


/************************************************

 ************************************************/
bool DdockApplication::x11EventFilter(XEvent * event)
{

          if (mDock)
                    mDock->x11EventFilter(event);
          return false;
}


