#ifndef DBATTERY_H
#define DBATTERY_H
#include "../../dpluginsinterface.h"
#include "../widgetpopup/widgetpopup.h"
#include "batterydlg.h"
#include "powermanager.h"
#include "compal.h"
#include <QWidget>
#include <QFileSystemWatcher>
namespace Ui {
class Dbattery;
}

using namespace qbat;
class Dbattery : public QWidget,PluginsInterface
{
    Q_OBJECT
    Q_INTERFACES(PluginsInterface)
    
public:
    explicit Dbattery(QWidget *parent = 0);
    ~Dbattery();

    /*!< PluginsInterface::x11EventFilter */
    void x11EventFilter(XEvent* /*event*/){}
    void setKeySequence(QKeySequence /*sequence*/){}
    /*!< PluginsInterface::keySequence */
    QString  keySequence(){return QString();}
    /*!< PluginsInterface::setLayout */
    void setLayout(QHBoxLayout *p){ p->addWidget(this);} /*لتضمين الودجات داخل محتوى اللوحة*/
    /*!< PluginsInterface::setSize */
    void setSize(QSize size);
    /*!< PluginsInterface::setActions */
    void setActions(QList<QAction *>/*list*/)
    {

    }
    /*!< PluginsInterface::themeChanged */
    void themeChanged()
    {


    }
private slots:
    void updateBattIcon();
    void updateIcon();
    QPixmap updatePixmap();
    void updateToolTip();
    void updatelcdStatus();
    void initLcd();
private:
    Ui::Dbattery *ui;
    int m_capacity;
    int m_status;
    int m_lcd;
    BatteryDlg  *batteryDlg;
    WidgetPopup *mWidgetPopup;

    void mouseReleaseEvent(QMouseEvent* event);
    void showPopup();
    QSize m_size;
    CPowerManager *powerm;
    CompalLaptop compal;
    QTimer *lcdTimer;
};

#endif // DBATTERY_H
