#ifndef XCURSORTHEMEDATA_H
#define XCURSORTHEMEDATA_H
#include <QtGui/QApplication>
#include <QtGui/QCursor>
#include <QDir>
#include <QFile>
#include <QtGui/QIcon>
#include <QtGui/QImage>
#include <QString>
#include <QStringList>
class DesktopAppData
{
public:
    enum ItemDataRole {
      // Note: use   printf "0x%08X\n" $(($RANDOM*$RANDOM))
      // to define additional roles.
      GenericRole=0x24A3DAF8
    };

    DesktopAppData(){}
    const int &type() const { return mtype; }
    const QString &title() const { return mTitle; }
    const QString &description() const { return mDescription; }
    const QString &path() const { return mPath; }

 QIcon icon() const{ return mIcon; }

  void setType(int type){mtype=type;}
  void setTitle(const QString &title){mTitle=title;}
  void setDescription(const QString &description){mDescription=description;}
  void setIcon(const QIcon &icon){mIcon=icon;}
  void setPath(const QString &path){mPath=path;}

protected:
    int mtype;
    QString mTitle;
    QString mDescription;
    QIcon mIcon;
    QString mPath;
};

#endif // XCURSORTHEMEDATA_H
