

#ifndef QUICKLAUNCHACTION_H
#define QUICKLAUNCHACTION_H

#include <QtGui/QAction>
#include <QWidget>

class QuickLaunchAction : public QAction
{
          Q_OBJECT

public:

          QuickLaunchAction(const QString & name,const QString & exec,QWidget * parent);

          QuickLaunchAction(const QString &name, const QString &exec, const QString &icon, QWidget * parent);

          QuickLaunchAction(const QString & fileName, QWidget * parent);



          QHash<QString, QString> settingsHash() { return m_settingsHash; }
          void setSettingsHash(const QString &txt);
public slots:
          void execAction();
          void upgatIcon();
private slots:

private:
          enum ActionType { ActionLegacy, ActionScript, ActionFile };
          ActionType m_type;
          QString m_data;

          QHash<QString, QString> m_settingsHash;
};

#endif //QUICKLAUNCHACTION_H
