#ifndef DTASKBARWIDGET_H
#define DTASKBARWIDGET_H
#include "../../dpluginsinterface.h"
#include "dactiontaskbar.h"
#include <X11/Xlib.h>
#include <X11/X.h>
#include <QWidget>
#include <QToolBar>

class DtaskbarWidget : public QWidget,PluginsInterface
{
          Q_OBJECT
          Q_INTERFACES(PluginsInterface)
public:
          // DtaskbarWidget();
          explicit DtaskbarWidget(QWidget *parent = 0);
protected:

public slots:
          /*virtual*/ void  x11EventFilter(XEvent* event);
          /*virtual*/ void setKeySequence(QKeySequence);
          /*virtual*/     QString   keySequence();
          /*virtual*/ void setLayout(QHBoxLayout *p){ p->addWidget(this);}
          /*virtual*/ void setSize(QSize size);

          /*virtual*/   void setActions(QList<QAction *>list){m_actList=list; }
    void themeChanged()
    {


    }
private slots:
          void customContextMenu(QPoint);
          void getStyleIcons();
          void setIconStyle();
          void loadSetting();
          void saveSetting();

          void refreshTaskList();
          void activeWindowChanged();

          void wheelEvent(QWheelEvent* event);


private:
         // QMap<unsigned long, Client*> m_clients;
          QHash<unsigned long, DActionTaskbar*> mButtonsHash;
          int m_iconStyle;
          QSize    m_size;
          QAction *m_actSetting;
          Qt::ToolButtonStyle mButtonStyle;
          unsigned long m_rootWindow;
          QHBoxLayout * m_horizontalLayout ;
          QHBoxLayout *horizontalLayoutSpace;
          QSpacerItem *horizontalSpacer;
           QList<QAction *> m_actList;
};

#endif // DTASKBARWIDGET_H
