#include "taskbarsettingdialog.h"
#include "ui_taskbarsettingdialog.h"
#include <QSettings>
#include <QDebug>


taskbarSettingDialog::taskbarSettingDialog(QWidget *parent) :
          QDialog(parent),
          ui(new Ui::taskbarSettingDialog)
{
          ui->setupUi(this);
           this->setAttribute(Qt::WA_DeleteOnClose,true);
          loadSetting();
}

taskbarSettingDialog::~taskbarSettingDialog()
{
        qDebug()<<"taskbarSettingDialog deleted";
          delete ui;
}

void taskbarSettingDialog::on_buttonBox_accepted()
{
          QSettings setting;
          setting.beginGroup("Taskbar");
          setting.setValue("iconStyle",ui->comboBox->currentIndex());
          setting.endGroup();

          emit     settingChanged();
}
void taskbarSettingDialog::loadSetting()
{
          QSettings setting;

          setting.beginGroup("Taskbar");
          ui->comboBox->setCurrentIndex(setting.value("iconStyle",0).toInt());
          setting.endGroup();

}
