/* BEGIN_COMMON_COPYRIGHT_HEADER
 * (c)GPL3+
 *
 * elokab - a lightweight, Qt based, desktop toolset
 * https://sourceforge.net/project/elokab/
 *
 * Copyright: 2013-2014 elokab team
 * Authors:
 *   Abou Zakaria <yahiaui@gmail.com>
 *
 * This program or library is free software; you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * END_COMMON_COPYRIGHT_HEADER */

#ifndef WIDGETDEFAULTBROWSER_H
#define WIDGETDEFAULTBROWSER_H
#include "../spluginsinterface.h"
#include <QWidget>

namespace Ui {
class WidgetDefaultBrowser;
}

class WidgetDefaultBrowser : public QWidget,PluginsInterface
{
          Q_OBJECT
          Q_INTERFACES(PluginsInterface)
    
public:
    explicit WidgetDefaultBrowser(QWidget *parent = 0);
    ~WidgetDefaultBrowser();

public slots:
void saveSettings();
QWidget *widget(){return this;}

private:
    Ui::WidgetDefaultBrowser *ui;
    bool oldDefault;
    QString oldBrowser;
};

#endif // WIDGETDEFAULTBROWSER_H
