#ifndef SCREENLOCKERWIDGET_H
#define SCREENLOCKERWIDGET_H
#include <ButtonColor>
#include <QWidget>
#include "../spluginsinterface.h"
namespace Ui {
class ScreenLockerWidget;
}

class ScreenLockerWidget : public QWidget,PluginsInterface
{
          Q_OBJECT
          Q_INTERFACES(PluginsInterface)
    
public:
    explicit ScreenLockerWidget(QWidget *parent = 0);
    ~ScreenLockerWidget();
public slots:

    void saveSettings();
    QWidget *widget(){return this;}
private slots:
    void on_toolButtonBgImage_clicked();

    void on_toolButtonXscreenSaver_clicked();

private:
    Ui::ScreenLockerWidget *ui;

    ButtonColor *btnBgColor;
    ButtonColor *btnTimerColor;

};

#endif // SCREENLOCKERWIDGET_H
