#ifndef WIDGETCOLORS_H
#define WIDGETCOLORS_H
#include "../spluginsinterface.h"
#include <QWidget>
#include <ButtonColor>
class ButtonColor;
namespace Ui {
class WidgetColors;
class ButtonColor;
}

class WidgetColors : public QWidget,PluginsInterface
{
          Q_OBJECT
          Q_INTERFACES(PluginsInterface)
        
public:
        explicit WidgetColors(QWidget *parent = 0);
        ~WidgetColors();
 public slots:

           void saveSettings();

           QWidget *widget(){return this;}
private slots:
        //   void on_pushButton_clicked();
        void setPalletChanged();

private:
        Ui::WidgetColors *ui;

        //buttons colors
        ButtonColor *p_LinkVisited;
        ButtonColor *p_ToolTipText;
        ButtonColor *p_BaseText;
        ButtonColor *p_ToolTipBase;
        ButtonColor *p_HighlightedText;
        ButtonColor *p_Highlight;
        ButtonColor *p_WindowText;
        ButtonColor *p_Button;
        ButtonColor *p_Base;
        ButtonColor *p_Window;
        ButtonColor *p_ButtonText;
        ButtonColor *p_Link;
        bool colorsChanged;

};

#endif // WIDGETCOLORS_H
