﻿#include "mainwindow.h"
#include <QApplication>
#include <ElokabApplication>
#include <QTranslator>
#include <QDebug>
#include <QLibraryInfo>
int main(int argc, char *argv[])
{
    ElokabApplication a(argc, argv);
    setenv("TERM", "xterm", 1); // TODO/FIXME: why?

    a.setApplicationName("elokab-terminal");
    a.setOrganizationName("elokab");
    a.setApplicationVersion("0.1");

   /// جلب ترجمة البرنامج من مجلد البرنامج

    QTranslator translator;
           translator.load(a.translationPath());
           a.installTranslator(&translator);

  QIcon icon=QIcon::fromTheme("terminal",QIcon(":/icons/terminal.png"));
 a.setWindowIcon(icon);
 //------------------------------------argument-------------------------------------------------
QString workdir,command;
 QStringList args = a.arguments();

if(args.count()>1)
{

    QString help=QObject::tr
            ("Usage: elokab-terminal [OPTION]\n"
             " \n"
             "OPTION:\n"
             " -h  --help                            Print this help.\n"
             " -d  --working-directory  <dir>        Start session with specified work directory.\n"
             " -e, --execute            <command>    Execute command instead of shel\n"
            );

    QString arg = args.at(1);
    if (arg == "-h" || arg == "--help" ) { qDebug()<<help;return 0; }
    else if (arg == "-d" || arg == "--working-directory" )  {workdir=args.at(2);}
    else if (arg == "-e" || arg == "--execute" )            {command=args.at(2);}
    else { qWarning() << "Unknown option: " << args;  qDebug()<<help; return 0;}


}
qDebug()<<"=======main========="<<workdir<<command;
//    QString translatorFileName = QLatin1String("qt_");
//    translatorFileName += "ar";
//    QTranslator *translatorsys = new QTranslator;
//   if (translatorsys->load(translatorFileName,
//        QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
//           QApplication::installTranslator(translatorsys);
//QCoreApplication::installTranslator(translatorsys);



//if (workdir.isEmpty())
//    workdir = QDir::currentPath();

    MainWindow w(workdir,command);

    w.show();

    return a.exec();
}
