#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <EDir>
#include <EMimIcon>
MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    //QString mim=EMimIcon::getMimeTypeByFile("/media/Data/Dinia/Quran/hossaeri/Sura 1.mp3");
   QString mim= EMimIcon::mimeTyppe(QFileInfo("/media/Data/Dinia/Quran/hossaeri/Sura 1.mp3"));
    qDebug()<<"mim"<<mim;
    loadPlugin(moduleFromMimeType(mim));

}

MainWindow::~MainWindow()
{
    delete ui;
}

//_________________________________________________________
bool MainWindow::loadPlugin(const QString &pfile)
{
QDir pluginsDir(Edir::libDir());

QPluginLoader pluginLoader(pluginsDir.absoluteFilePath(pfile));

    pluginLoader.load();
    if( pluginLoader.isLoaded()){
        QObject *plugin = pluginLoader.instance();
        if (plugin) {
            pluginsInterface    = qobject_cast<PluginsInterface *>(plugin);

            if (pluginsInterface)
            {

                QWidget *w=pluginsInterface->widget();
                ui->verticalLayout->addWidget(w);
                ui->menuFile->addActions(pluginsInterface->actionsFile());
                ui->menuEdit->addActions(pluginsInterface->actionsEdit());
                QString t(60-pfile.length(),'-');
                qDebug()<<pfile+t<<"Ok";
                return true;

            }//pluginsInterface

        }
    }


        QString t(60-pfile.length(),'-');
         qDebug()<<pfile+t<<"Failed";


    return false;

}

QString MainWindow::moduleFromMimeType(const QString &mimeType)
{


    QDir serviceDir(Edir::dataAppDir()+"/serviceslibs");
    QStringList list=serviceDir.entryList(QStringList()<<"*.desktop");

    foreach (QString s, list)
    {

        QString file=serviceDir.absoluteFilePath(s);
        qDebug()<<s;
        QSettings gs(file,QSettings::IniFormat);
        gs.setIniCodec(QTextCodec::codecForName("UTF-8"));

        gs.beginGroup("Desktop Entry");

        QString type=gs.value("X-EKB-type").toString();
        QStringList mimes=gs.value("X-EKB-mime").toStringList();
        QString libName=gs.value("X-EKB-lib").toString();
      qDebug()<<type<<mimes<<libName;
        gs.endGroup();

        if(type.toLower()!="lib")
          continue;
        foreach (QString s, mimes) {
            if(mimeType.startsWith(s)){
                qDebug()<<"contain mime"<<s;
                 return libName;
            }
        }




    }

      return QString();


}

